
#include "pmf.h"


Pmf4Fixed::Pmf4Fixed( uint32_t V )
{
  assert( V >= 4 && V <= 32 );
  uint32_t ls = V - 4;
  pmfQuant[0] = 6 << ls;
  pmfQuant[1] = 5 << ls;
  pmfQuant[2] = 3 << ls;
  pmfQuant[3] = 2 << ls;
}

Pmf256Fixed::Pmf256Fixed( uint32_t V )
{
  assert( V >= 8 && V <= 32 );
  uint32_t iv = 1 << ( V - 8 );
  for( int k = 0; k < 256; k++ )
  {
    pmfQuant[k] = iv;
  }
}


