
#pragma once

#include <cstdint>

struct ACfg
{
  ACfg( uint32_t vers, bool prfx = false, uint32_t V = 16, uint32_t U = 16 );

  // versions:
  // =========
  //    0:  4-symbol alphabet (a,b,c,d) with fixed pmf (6,5,3,2)/16
  //    1:  256-symbol alphabet (bytes) with fixed pmf (1,1,...,1)/256

  const uint32_t  version;
  const bool      prefix;
  const uint32_t  Vbits;
  const uint32_t  Ubits;
};

