
#include "adec.h"
#include <cassert>


ADec::ADec( const ACfg& acfg, std::string& inname )
  : prefix        ( acfg.prefix )
  , V             ( acfg.Vbits  )
  , U             ( acfg.Ubits  )
  , bitstream     ( inname )
  , valid         ( bitstream.isValid() )
  , numSymbols    ( bitstream.getNumSymbols() )
  , numToBeDecoded( numSymbols )
{
  assert( U+V < 64 );

  // init arithmetic coding engine
  {
  }
}


ADec::~ADec()
{
}


uint8_t ADec::decode( const Pmf& pmf )
{
  assert( valid );
  assert( numToBeDecoded );

  // arithmetic decoding
  uint8_t index = 0;
  {
  }

  // update symbol count
  numToBeDecoded--;

  // return
  return index;
}
