
#include "aenc.h"
#include <cassert>


AEnc::AEnc( const ACfg& acfg, std::string& outname )
  : prefix    ( acfg.prefix )
  , V         ( acfg.Vbits  )
  , U         ( acfg.Ubits  )
  , bitstream ( outname )
  , valid     ( bitstream.isValid() )
  , numEncoded( 0 )
{
  assert( U+V < 64 );

  // init arithmetic coding engine
  {
  }
}


AEnc::~AEnc()
{
  assert( !valid );
}


void AEnc::encode( uint8_t index, const Pmf& pmf )
{
  assert( valid );

  // arithmetic encoding
  {
  }

  // update symbol count
  numEncoded++;
}


void AEnc::terminate()
{
  assert( valid );
  
  // terminate arithmetic coding engine
  {
  }

  // terminate bitstream
  bitstream.terminate( numEncoded );
  valid = false;
}
