
#pragma once

#include "acfg.h"
#include "pmf.h"
#include "obitstream.h"


class AEnc
{
public:
  AEnc  ( const ACfg& acfg, std::string& outname );
  ~AEnc ();

  bool      isValid       ()                                const { return valid; }
  uint32_t  getNumEncoded ()                                const { return numEncoded; }
  void      encode        ( uint8_t index, const Pmf& pmf );
  void      terminate     ();

private:

private:
  //--- general variables ---
  const bool      prefix;
  const uint32_t  V;
  const uint32_t  U;
  OBitstream      bitstream;
  bool            valid;
  uint32_t        numEncoded;

  //--- members for arithmetic coding engine ---
};
